Page MenuHomePhabricator

Wikidata autocomplete search does not truncate trailing spaces
Closed, ResolvedPublic

Description

Wikidata autocomplete search does not truncate trailing spaces, so that "John Smith " does not find the same things as "John Smith".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 16 2017, 9:11 AM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 2:57 PM

Change 399308 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Strip trailing spaces for some search clauses

https://gerrit.wikimedia.org/r/399308

Smalyshev triaged this task as Medium priority.
Smalyshev moved this task from Incoming to Needs review on the Discovery-Search (Current work) board.

Change 399308 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Strip trailing spaces for some search clauses

https://gerrit.wikimedia.org/r/399308

Smalyshev closed this task as Resolved.Jan 5 2018, 10:17 PM

Verified, now "John Smith " matches The Doctor.